#! /usr/bin/python
#----------------------------------------------------------------
# Dateiname: digitaluhr_simpel.pyw
# Einfache Digitaler Bilderrahmen
# Achtung! Python 2.7
#
# Michael Weigend: Raspberry Pi programmieren mit Python, mitp 2013
# 7.4
# 29.10.2013
#----------------------------------------------------------------

from Tkinter import *
from PIL import Image, ImageTk
from random import choice
import thread, os, time


def showImages():
    while True:
        img=Image.open(choice(imageFiles))
        a,b = img.size
        if a/b >= 1920/1080:
            k = 1920/a
        else:
            k = 1080/b
        img = img.resize(size=(int(k*a), int(k*b)))
        imgTk = ImageTk.PhotoImage(img)
        label.config(image=imgTk)
        time.sleep(2)
        
def finish(event):
    window.destroy()


files=os.listdir(".")
imageFiles=[f for f in files
            if os.path.splitext(f)[1]in{".jpg", ".JPG"}]

window = Tk()
window.title("Bilderrahmen")
window.overrideredirect(True)
w = window.winfo_screenwidth()
h = window.winfo_screenheight()
window.geometry(str(w)+"x"+str(h)+"+0+0")
window.bind("<Button-1>", finish)
label = Label(master=window, bg="black")
label.pack(expand=True, fill=BOTH)
thread.start_new_thread(showImages, ())

window.mainloop()

     
    
    











