#!/usr/bin/python3.2
#----------------------------------------------------------------
# Dateiname: weckzeit.pyw
# Durch Drücken und Loslassen der linken Maustaste eine Zahl einstellen
#
# Michael Weigend: Raspberry Pi programmieren mit Python, mitp 2013
# 7.8.1
# 29.10.2013
#----------------------------------------------------------------
from tkinter import *
import _thread, time

def start(event):
    _thread.start_new_thread(changeNumber, ())
    label.unbind("<1>")
    

def changeNumber():
    global control
    control = True
    while control:
        hour.set(hour.get() + 1)
        if hour.get() > 23:
            hour.set(0)
        time.sleep(0.2)       

def stop(event):
    global control
    control = False                   #7
    label.bind("<1>", start)

window = Tk()
hour = IntVar(master=window, value=0)
label=Label(master=window, height=1, width=2,
            font=("Arial", 40), textvariable=hour)
label.bind("<1>", start)
label.bind("<ButtonRelease-1>", stop)
label.pack()

window.mainloop()
