#!/usr/bin/python2.7
#----------------------------------------------------------------
# Dateiname: viewer.pyw
# Das RPi-Kameramodul ist angeschlossen.
# Anzeige des Livebilds der Kamera mit aktueller Uhrzeit.
# 
# Michael Weigend: Raspberry Pi programmieren mit Python, mitp 2013
# 10.4
# 29.10.2013
#----------------------------------------------------------------
import os, time 
from Tkinter import Tk, Label
from PIL import Image, ImageTk
WIDTH = 400
HEIGHT = 300
PATH = 'image.jpg'

class App:
    def __init__(self):
        self.window = Tk()
        self.label = Label(master=self.window)
        self.label.pack()
        self.labelTime = Label(master=self.window)
        self.labelTime.pack()
        self.run()
        self.window.mainloop()
        
    def takePhoto (self):
        command = 'raspistill -t 0 -w %i -h %i -o %s -n'
        os.system(command % (WIDTH, HEIGHT, PATH))
        img = Image.open('image.jpg')
        self.image=ImageTk.PhotoImage(img)
        self.label.config(image=self.image)
        self.labelTime.config(text=time.asctime())

    def run(self):
        self.takePhoto()
        self.window.after(100, self.run)

App()           
        
        
    
                             
