#----------------------------------------------------------------
# Dateiname: haeufigster.py
# Häufigstes Item einer Kollektion.
#
# Michael Weigend: Raspberry Pi programmieren mit Python, mitp 2013
# 4.8
# 28.10.2013
#----------------------------------------------------------------
def häufigster (sammlung):
    items = set(sammlung)
    häufigkeitsliste = [(sammlung.count(i), i) for i in items]
    häufigkeit, item = max(häufigkeitsliste)
    return item, häufigkeit

s = ["Conny", "Monika", "Valentina", "Mike", "Michael",
     "Marion", "Doris", "Monika", "Klaus", "Vanessa"]

n, h = häufigster(s)

print (n, h, "Mal")
