#----------------------------------------------------------------
# Dateiname: lsumme_rek.py
# Rekursive Berechnung einer Summe
#
# Michael Weigend: Raspberry Pi programmieren mit Python, mitp 2013
# 4.11
# 28.10.2013
#----------------------------------------------------------------
import random
def summe(s):
    if len(s) == 0:                   #1
        return 0
    elif len(s) == 1:
        return s[0]            
    else:
        mitte = len(s)//2             #2
        s1 = s[:mitte]
        s2 = s[mitte:]
        return summe(s1) + summe(s2)  #3

# Hauptprogramm

s = [random.randint(0, 100) for i in range(10)]
print ("Zufällige Zahlenliste:")
print (s)
print("Summe:", summe(s))



